<?
   session_start();
  require('../valtiempoinact.php');
  require('../conectar.php');
  $usuario_nivel=$_SESSION['usuario_nivel'];
  $usuario_login=$_SESSION['usuario_login'];
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title></title>
<link rel="stylesheet" href="disenio_tarifas/estilo.css" type="text/css" />
<script language="javascript" type="text/javascript" src="disenio_tarifas/validacion.js"></script>

<script type="text/JavaScript">
<!--
function MM_popupMsg(msg) { //v1.0
  alert(msg);
}
//-->
</script>

</head>
<body onload="foco()">
<?php
if(isset($_POST['botonregistro']))
 {
	if($_POST['tipo']=='alta')
	{ 	
		$repetidos=mysql_query("select count(*) as repe from tarifa_alta where id_departamento='$_POST[id_departamento]'");
		$repe=mysql_fetch_array($repetidos);
		if($repe['repe']==0)
		{
		$tarifa=mysql_query("insert into tarifa_alta(id_departamento,anual,5a8,2a4,mes,semana,noche) values('$_POST[id_departamento]','$_POST[anual]','$_POST[cao]','$_POST[dac]','$_POST[mes]','$_POST[semana]','$_POST[noche]')",$db_conexion);
		
		?>
		<script language="javascript">alert('Los datos se han registrado correctamente');</script>
		<?php	
		} else { }
	}
	
	else if($_POST['tipo']=='baja')
	{ 
		$repetidos=mysql_query("select count(*) as repe from tarifa_baja where id_departamento='$_POST[id_departamento]'");
		$repe=mysql_fetch_array($repetidos);
		if($repe['repe']==0)
		{
		$tarifa=mysql_query("insert into tarifa_baja(id_departamento,anual,5a8,2a4,mes,semana,noche) values('$_POST[id_departamento]','$_POST[anual]','$_POST[cao]','$_POST[dac]','$_POST[mes]','$_POST[semana]','$_POST[noche]')",$db_conexion);	
		
		?>
		<script language="javascript">alert('Los datos se han registrado correctamente');</script>
		<?php	
		} else { }
	}	
	
	else if($_POST['tipo']=='media')
	{ 
		$repetidos=mysql_query("select count(*) as repe from tarifa_media where id_departamento='$_POST[id_departamento]'");
		$repe=mysql_fetch_array($repetidos);
		if($repe['repe']==0)
		{
		$tarifa=mysql_query("insert into tarifa_media(id_departamento,anual,5a8,2a4,mes,semana,noche) values('$_POST[id_departamento]','$_POST[anual]','$_POST[cao]','$_POST[dac]','$_POST[mes]','$_POST[semana]','$_POST[noche]')",$db_conexion);
		
		?>
		<script language="javascript">alert('Los datos se han registrado correctamente');</script>
		<?php	
		} else { }	
	}		  
	
	else if($_POST['tipo']=='muybaja')
	{ 
		$repetidos=mysql_query("select count(*) as repe from tarifa_muybaja where id_departamento='$_POST[id_departamento]'");
		$repe=mysql_fetch_array($repetidos);
		if($repe['repe']==0)
		{
		$tarifa=mysql_query("insert into tarifa_muybaja(id_departamento,anual,5a8,2a4,mes,semana,noche) values('$_POST[id_departamento]','$_POST[anual]','$_POST[cao]','$_POST[dac]','$_POST[mes]','$_POST[semana]','$_POST[noche]')",$db_conexion);	
		
		?>
		<script language="javascript">alert('Los datos se han registrado correctamente');</script>
		<?php	
		} else { }
	}
	
 }
?>
						
				
<!-- INICIA FORMULARIO DE REGISTRO DE BOLSA DE TRABAJO-->					
<center>
<div id="formulario">

	<?php
	$depto=mysql_query("select * from departamentos where id_departamento='$_GET[id]'",$db_conexion);
	if($rd=mysql_fetch_array($depto))
	{ 
	$id_complejo=$rd['id_complejo'];
	$clave=$rd['clave'];
	}
	
	$complejo=mysql_query("select * from complejo where id_complejo='$id_complejo'",$db_conexion);
	if($rco=mysql_fetch_array($complejo))
	{ $nombre=$rco['nombre']; }
	
	
	?>
	<div class="titulos">
	Tarifas para <?php echo $nombre; ?>
	<br />
	Departamento <?php echo $clave; ?>
	</div>
	<br />
	
	<div class="titulos" style="font-size:10px; color:#FF0000;">Introduce los montos en base a los intervalos de tiempo</div>
	<form name="form1" action="" method="post" onsubmit="return validar(this)">
	<input type="hidden" name="id_departamento" value="<?php echo $_GET['id']; ?>" />
	<table border="0" width="350" height="35" align="center" class="tablas">
		  <tr>
			<td width="132"><div class="datos">Tarifa</div></td>
			<td width="208"><div class="cajas">
			<select name="tipo">
			<option value=""></option>
			<?php
			$tarifa_alta=mysql_query("select count(*) as alta from tarifa_alta where id_departamento='$_GET[id]'");
			$alta=mysql_fetch_array($tarifa_alta);
			
			$tarifa_baja=mysql_query("select count(*) as baja from tarifa_baja where id_departamento='$_GET[id]'");
			$baja=mysql_fetch_array($tarifa_baja);
																				
			$tarifa_media=mysql_query("select count(*) as media from tarifa_media where id_departamento='$_GET[id]'");
			$media=mysql_fetch_array($tarifa_media);
									
			$tarifa_muybaja=mysql_query("select count(*) as muybaja from tarifa_muybaja where id_departamento='$_GET[id]'");
			$muybaja=mysql_fetch_array($tarifa_muybaja);
			
			if($alta['alta']==0 && $baja['baja']==0 && $media['media']==0 && $muybaja['muybaja']==0)
			{
			?>
			<option value="alta">Alta</option>
			<option value="baja">Baja</option>
			<option value="media">Media</option>
			<option value="muybaja">Muy Baja</option>	
			<?php
			}
			
			else if($alta['alta']!=0 && $baja['baja']==0 && $media['media']==0 && $muybaja['muybaja']==0)
			{		
			?>
			<option value="baja">Baja</option>
			<option value="media">Media</option>
			<option value="muybaja">Muy Baja</option>	
			<?php
			}
			
			else if($alta['alta']==0 && $baja['baja']!=0 && $media['media']==0 && $muybaja['muybaja']==0)
			{	
			?>		
			<option value="alta">Alta</option>			
			<option value="media">Media</option>
			<option value="muybaja">Muy Baja</option>							
			<?php
			}
			
			else if($alta['alta']==0 && $baja['baja']==0 && $media['media']!=0 && $muybaja['muybaja']==0)
			{	
			?>
			<option value="alta">Alta</option>
			<option value="baja">Baja</option>
			<option value="muybaja">Muy Baja</option>				
			<?php
			}
			
			else if($alta['alta']==0 && $baja['baja']==0 && $media['media']==0 && $muybaja['muybaja']!=0)
			{	
			?>
			<option value="alta">Alta</option>
			<option value="baja">Baja</option>
			<option value="media">Media</option>
			<?php
			}
			
			else if($alta['alta']!=0 && $baja['baja']!=0 && $media['media']==0 && $muybaja['muybaja']==0)
			{	
			?>
			<option value="media">Media</option>
			<option value="muybaja">Muy Baja</option>
			<?php
			}
			
			else if($alta['alta']!=0 && $baja['baja']==0 && $media['media']!=0 && $muybaja['muybaja']==0)
			{	
			?>
			<option value="baja">Baja</option>			
			<option value="muybaja">Muy Baja</option>	
			<?php
			}
			
			else if($alta['alta']!=0 && $baja['baja']==0 && $media['media']==0 && $muybaja['muybaja']!=0)
			{	
			?>
			<option value="baja">Baja</option>			
			<option value="media">Media</option>	
			<?php
			}
			
			else if($alta['alta']==0 && $baja['baja']!=0 && $media['media']!=0 && $muybaja['muybaja']==0)
			{	
			?>
			<option value="alta">Alta</option>
			<option value="muybaja">Muy Baja</option>
			<?php
			}
			
			else if($alta['alta']==0 && $baja['baja']!=0 && $media['media']==0 && $muybaja['muybaja']!=0)
			{	
			?>
			<option value="alta">Alta</option>
			<option value="media">Media</option>
			<?php
			}
			
			else if($alta['alta']==0 && $baja['baja']==0 && $media['media']!=0 && $muybaja['muybaja']!=0)
			{	
			?>
			<option value="alta">Alta</option>
			<option value="baja">Baja</option>
			<?php
			}
			
			else if($alta['alta']!=0 && $baja['baja']!=0 && $media['media']!=0 && $muybaja['muybaja']==0)
			{	
			?>
			<option value="muybaja">Muy Baja</option>
			<?php
			}
			
			else if($alta['alta']!=0 && $baja['baja']!=0 && $media['media']==0 && $muybaja['muybaja']!=0)
			{	
			?>
			<option value="media">Media</option>
			<?php
			}
			
			else if($alta['alta']!=0 && $baja['baja']==0 && $media['media']!=0 && $muybaja['muybaja']!=0)
			{	
			?>
			<option value="baja">Baja</option>
			<?php
			}
			
			else if($alta['alta']==0 && $baja['baja']!=0 && $media['media']!=0 && $muybaja['muybaja']!=0)
			{	
			?>
			<option value="alta">Alta</option>
			<?php
			}
			?>
			</select>
			</div></td>
		  </tr>
	</table>    
	<br />	
	<?php
	$total=$alta['alta'] + $baja['baja'] + $media['media'] + $muybaja['muybaja'];
										
    if($total==4)
	 {
	  ?>
	  <script language="javascript">
	  alert('Las Tarifas se han Completado. Ahora puedes consultarlas en la Siguiente Página');
	  window.open('tarifas_buscar.php','_self');
	  </script>
	  <?php
	 }
	?>
	<table border="0" width="350" height="35" align="center" class="tablas">
		  <tr>
			<td width="132"><div class="datos">Anual</div></td>
			<td width="208"><div class="cajas"><input name="anual" type="text" size="33"/></div></td>
		  </tr>
	</table>   
	<br />
	
	<table border="0" width="350" height="35" align="center" class="tablas">
		  <tr>
			<td width="132"><div class="datos">5 a 8 Meses </div></td>
			<td width="208"><div class="cajas"><input name="cao" type="text" size="33"/></div></td>
		  </tr>
	</table>   
	<br />
	
	<table border="0" width="350" height="35" align="center" class="tablas">
		  <tr>
			<td width="132"><div class="datos">2 a 4 Meses </div></td>
			<td width="208"><div class="cajas"><input name="dac" type="text" size="33"/></div></td>
		  </tr>
	</table>   
	<br />
	
	<table border="0" width="350" height="35" align="center" class="tablas">
		  <tr>
			<td width="132"><div class="datos">Mes</div></td>
			<td width="208"><div class="cajas"><input name="mes" type="text" size="33"/></div></td>
		  </tr>
	</table>   
	<br />
	
	<table border="0" width="350" height="35" align="center" class="tablas">
		  <tr>
			<td width="132"><div class="datos">Semana</div></td>
			<td width="208"><div class="cajas"><input name="semana" type="text" size="33"/></div></td>
		  </tr>
	</table>   
	<br />
	
	<table border="0" width="350" height="35" align="center" class="tablas">
	  <tr>
		<td width="132"><div class="datos">Noche</div></td>
		<td width="208"><div class="cajas"><input name="noche" type="text" size="33"/></div></td>
	  </tr>
	</table>  
	<br />                  


		<table border="0" width="366" height="35" align="center" class="tablas">
			
			  <tr>
			    <td><div class="titulos">Confirmar que los datos se han introducido correctamente.</div></td>
		      </tr>
			  <tr>
				<td width="208"><div align="center">
				  <input type="submit" name="botonregistro" id="enviar" value="Registrar" />
				  </div></td>
			  </tr>
    </table>  
</form>


</div>
</center>
</body>
</html>			 
	<!-- TERMINA FORMULARIO DE REGISTRO DE BOLSA DE TRABAJO-->					
		